function result = get_fieldnames( self )

% tsg_nc/get_fieldnames -- get internal structure fieldnames of "tsg_nc" object.
%
% Input
% -----
% self     ........... an instance of 'tsg_nc' object
%
% Output
% ------
% result   ........... cell with fieldnames

% $Id$

% get cell of keys inside object
% ------------------------------
c = get(self);
if isempty(c)
  warning('Empty object') ;
else
 % get structure for the first element
 theStruc = get(self,c{1});
 result = fieldnames(theStruc);
end   
    
