function plot_Calibration( hMainFig, hPlotAxes, nPlot, para )

% Get tsg application data
% ------------------------
tsg  = getappdata( hMainFig, 'tsg_data');
  
  % ---------------------------------------------------------------------
  % Plot PARA in black and PARA_CAL in red
    
    erase_Line( hPlotAxes, nPlot );
    if ~isempty( tsg.(para) )
      plot_Tsg( hMainFig, hPlotAxes, nPlot, tsg.DAYD, tsg.(para), [],...
                para,'k','none','*',2);
    end
    
    para_cal = [ para '_CAL' ];
    if ~isempty( tsg.(para_cal) )
      plot_Tsg( hMainFig, hPlotAxes, nPlot, tsg.DAYD, tsg.(para_cal), [],...
                para_cal,'r','none','o',2);
    end

axesCommonProp( hPlotAxes );

end
